Bug 1227064 - error in production.log after errata install in the content host
Summary: error in production.log after errata install in the content host
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: sthirugn@redhat.com
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-06-01 21:14 UTC by sthirugn@redhat.com
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Issue: If you see messages similar to the following in `/var/log/foreman/production.log` log file, they can be ignored. The underlying error does not affect Satellite 6's operation and will be resolved in a future release. [F] no manager for d587f86a-5287-4369-b71a-fe4e7dc10582:3 (Dynflow::Error)
Clone Of:
Environment:
Last Closed: 2017-01-12 18:45:09 UTC


Attachments (Terms of Use)
foreman debug (1.37 MB, application/x-xz)
2015-06-01 21:14 UTC, sthirugn@redhat.com
no flags Details

Description sthirugn@redhat.com 2015-06-01 21:14:26 UTC
Created attachment 1033516 [details]
foreman debug

Description of problem:
error in production.log after errata install in the content host

Version-Release number of selected component (if applicable):
Sat 6.1 GA snap 6

How reproducible:
Happened once, I will update if this happens consistently

Steps to Reproduce:
1. Install an errata in a content host from Satellite 6 UI
2. Watch /var/log/foreman/production.log for few minutes even after the errata install is complete


Actual results:
==> /var/log/foreman/production.log <==
2015-06-01 17:10:07 [I] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2015-06-01 17:10:07 [I]   Parameters: {"id"=>"e2040504-0e96-4c5c-bbea-feb8feeaa0d4"}
2015-06-01 17:10:07 [I] Completed 200 OK in 68ms (Views: 0.2ms | ActiveRecord: 0.0ms)
2015-06-01 17:10:35 [F] no manager for 6f77c2ca-273e-4917-95ae-38ef48a49718:3 (Dynflow::Error)
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/executors/parallel/core.rb:149:in `event'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/executors/parallel/core.rb:27:in `block in on_message'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in `block in assigns'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `tap'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `assigns'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in `match_value'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in `block in match'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `match'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/executors/parallel/core.rb:21:in `on_message'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:82:in `on_envelope'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:72:in `receive'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `block (2 levels) in run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `loop'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `block in run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `catch'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:13:in `block in initialize'
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
2015-06-01 17:10:54 [I] Processing by HostsController#externalNodes as YML
2015-06-01 17:10:54 [I]   Parameters: {"name"=>"cloud-qe-15.idmqe.lab.eng.bos.redhat.com"}
2015-06-01 17:10:54 [I]   Rendered text template (0.0ms)
2015-06-01 17:10:54 [I] Completed 200 OK in 807ms (Views: 124.5ms | ActiveRecord: 40.1ms)


Expected results:
No error

Additional info:

Comment 2 sthirugn@redhat.com 2015-06-02 15:47:49 UTC
This error may not be related to just one scenario mentioned in the bug.  I saw this today after I did some enable/disable repositories test in Content -> Red Hat Repositories page:

==> /var/log/rhsm/rhsm.log <==
2015-06-02 11:40:55,848 [DEBUG] subscription-manager @plugins.py:569 - loaded plugin modules: []
2015-06-02 11:40:55,848 [DEBUG] subscription-manager @plugins.py:570 - loaded plugins: {}
2015-06-02 11:40:55,848 [DEBUG] subscription-manager @identity.py:131 - Loading consumer info from identity certificates.
2015-06-02 11:40:55,862 [DEBUG] subscription-manager @profile.py:97 - Loading current RPM profile.
2015-06-02 11:40:55,937 [INFO] subscription-manager @managercli.py:347 - Client Versions: {'python-rhsm': '1.13.10-1.el7', 'subscription-manager': '1.13.22-1.el7'}

==> /var/log/foreman/production.log <==
2015-06-02 11:40:56 [I] Processing by Api::V2::HostsController#facts as JSON
2015-06-02 11:40:56 [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"cloud-qe-15.idmqe.lab.eng.bos.redhat.com", "certname"=>"cloud-qe-15.idmqe.lab.eng.bos.redhat.com", "apiv"=>"v2", :host=>{"name"=>"cloud-qe-15.idmqe.lab.eng.bos.redhat.com", "certname"=>"cloud-qe-15.idmqe.lab.eng.bos.redhat.com"}}
2015-06-02 11:40:57 [I] Import facts for 'cloud-qe-15.idmqe.lab.eng.bos.redhat.com' completed. Added: 0, Updated: 4, Deleted 0 facts
2015-06-02 11:40:57 [I] Completed 201 Created in 514ms (Views: 3.5ms | ActiveRecord: 0.0ms)
2015-06-02 11:40:57 [I] Processing by HostsController#externalNodes as YML
2015-06-02 11:40:57 [I]   Parameters: {"name"=>"cloud-qe-15.idmqe.lab.eng.bos.redhat.com"}
2015-06-02 11:40:57 [I]   Rendered text template (0.0ms)
2015-06-02 11:40:57 [I] Completed 200 OK in 198ms (Views: 0.4ms | ActiveRecord: 5.5ms)
2015-06-02 11:40:58 [I] Processing by Api::V2::ReportsController#create as JSON
2015-06-02 11:40:58 [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}
2015-06-02 11:40:58 [I] processing report for cloud-qe-15.idmqe.lab.eng.bos.redhat.com
2015-06-02 11:40:58 [I] Imported report for cloud-qe-15.idmqe.lab.eng.bos.redhat.com in 0.17 seconds
2015-06-02 11:40:58 [I] Completed 201 Created in 183ms (Views: 1.9ms | ActiveRecord: 0.0ms)
2015-06-02 11:42:07 [F] no manager for d587f86a-5287-4369-b71a-fe4e7dc10582:3 (Dynflow::Error)
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/executors/parallel/core.rb:149:in `event'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/executors/parallel/core.rb:27:in `block in on_message'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in `block in assigns'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `tap'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `assigns'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in `match_value'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in `block in match'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `match'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/executors/parallel/core.rb:21:in `on_message'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:82:in `on_envelope'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:72:in `receive'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `block (2 levels) in run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `loop'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `block in run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `catch'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:99:in `run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.7/lib/dynflow/micro_actor.rb:13:in `block in initialize'
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

Comment 3 David O'Brien 2015-07-21 03:17:59 UTC
 How do I get this verified? Who is responsible for verifying it?
	
"Warning: Doc Text is not yet verified as correct"

thanks

Comment 4 David O'Brien 2015-08-11 06:17:31 UTC
I need some guidance on how to complete the rel note for this. Can I just say that these errors are false +'ve and can be ignored? Does it always happen? Sometimes? Are there times when the errors are real? How do you know?

thanks

Comment 5 Mike McCune 2015-08-18 21:02:41 UTC
Release note can mention:

If the user sees this error during the operation of Satellite 6 in /var/log/foreman/production.log:

[F] no manager for d587f86a-5287-4369-b71a-fe4e7dc10582:3 (Dynflow::Error)

this is not causing any type of severe error but will be cleaned up in a future version when this bug is resolved.

Comment 10 Bryan Kearney 2017-01-12 18:45:09 UTC
This is an older bug which I do not envision being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.


Note You need to log in before you can comment on or make changes to this bug.